## ros-indigo-trajectory-tracker 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(trajectory_tracker)

## Find catkin and any catkin packages
find_package(catkin REQUIRED
  COMPONENTS
    roscpp

    geometry_msgs
    interactive_markers
    nav_msgs
    tf2
    tf2_geometry_msgs
    tf2_ros

    neonavigation_common
    trajectory_tracker_msgs
)

find_package(Eigen3 REQUIRED)

## Declare a catkin package
catkin_package(
  CATKIN_DEPENDS
    roscpp

    geometry_msgs
    interactive_markers
    nav_msgs
    tf2
    tf2_geometry_msgs
    tf2_ros

    neonavigation_common
    trajectory_tracker_msgs
)

## Build
include_directories(${catkin_INCLUDE_DIRS} include)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
  message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

add_executable(trajectory_tracker src/trajectory_tracker.cpp)
target_link_libraries(trajectory_tracker ${catkin_LIBRARIES})
add_dependencies(trajectory_tracker ${catkin_EXPORTED_TARGETS})

add_executable(trajectory_recorder src/trajectory_recorder.cpp)
target_link_libraries(trajectory_recorder ${catkin_LIBRARIES})
add_dependencies(trajectory_recorder ${catkin_EXPORTED_TARGETS})

add_executable(trajectory_saver src/trajectory_saver.cpp)
target_link_libraries(trajectory_saver ${catkin_LIBRARIES})
add_dependencies(trajectory_saver ${catkin_EXPORTED_TARGETS})

add_executable(trajectory_server src/trajectory_server.cpp)
target_link_libraries(trajectory_server ${catkin_LIBRARIES})
add_dependencies(trajectory_server ${catkin_EXPORTED_TARGETS})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(rosunit REQUIRED)
  add_subdirectory(test)

  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()

install(TARGETS
    trajectory_recorder
    trajectory_saver
    trajectory_server
    trajectory_tracker
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== test/CMakeLists.txt ===
catkin_add_gtest(test_${PROJECT_NAME}_filter src/test_filter.cpp)
target_link_libraries(test_${PROJECT_NAME}_filter ${catkin_LIBRARIES})

catkin_add_gtest(test_${PROJECT_NAME}_path2d src/test_path2d.cpp)
target_link_libraries(test_${PROJECT_NAME}_path2d ${catkin_LIBRARIES})

add_rostest_gtest(test_trajectory_recorder test/trajectory_recorder_rostest.test
    src/test_trajectory_recorder.cpp)
target_link_libraries(test_trajectory_recorder ${catkin_LIBRARIES})
add_dependencies(test_trajectory_recorder trajectory_recorder)

add_rostest_gtest(test_trajectory_tracker test/trajectory_tracker_rostest.test
    src/test_trajectory_tracker.cpp)
target_link_libraries(test_trajectory_tracker ${catkin_LIBRARIES})
add_dependencies(test_trajectory_tracker trajectory_tracker)

=== debian/changelog ===
ros-indigo-trajectory-tracker (0.3.1-0trusty) trusty; urgency=high

  * trajectory_tracker: fix test timeout for path with velocity (#263 <https://github.com/at-wat/neonavigation/issues/263>)
  * trajectory_tracker: add timeout to the test (#261 <https://github.com/at-wat/neonavigation/issues/261>)
  * trajectory_tracker: support PathWithVelocity (#244 <https://github.com/at-wat/neonavigation/issues/244>)
  * trajectory_tracker: fix robot pose prediction (#250 <https://github.com/at-wat/neonavigation/issues/250>)
  * trajectory_tracker: fix angular velocity limit (#252 <https://github.com/at-wat/neonavigation/issues/252>)
  * trajectory_tracker: add acceleration factor parameter of time optimal control (#249 <https://github.com/at-wat/neonavigation/issues/249>)
  * trajectory_tracker: fix local goal handling (#251 <https://github.com/at-wat/neonavigation/issues/251>)
  * trajectory_tracker: add tolerance to InPlaceTurn (#248 <https://github.com/at-wat/neonavigation/issues/248>)
  * trajectory_tracker: fix angle normalization in in-place turn mode (#247 <https://github.com/at-wat/neonavigation/issues/247>)
  * trajectory_tracker: refactoring (#239 <https://github.com/at-wat/neonavigation/issues/239>)
  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * trajectory_tracker: fix status output topic path (#225 <https://github.com/at-wat/neonavigation/issues/225>)
  * trajectory_tracker: add tests (#207 <https://github.com/at-wat/neonavigation/issues/207>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * Contributors: Atsushi Watanabe, So Jomura

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-indigo-trajectory-tracker (0.2.3-0trusty) trusty; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-indigo-trajectory-tracker (0.2.2-0trusty) trusty; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-indigo-trajectory-tracker (0.2.1-0trusty) trusty; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-indigo-trajectory-tracker (0.2.0-0trusty) trusty; urgency=high

  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * trajectory_tracker: reduce angular oscillation (#120 <https://github.com/at-wat/neonavigation/issues/120>)
  * trajectory_tracker: use timer instead of spinOnce polling (#119 <https://github.com/at-wat/neonavigation/issues/119>)
  * trajectory_tracker: fix naming style. (#92 <https://github.com/at-wat/neonavigation/issues/92>)
  * Support package install. (#45 <https://github.com/at-wat/neonavigation/issues/45>)
  * Fix coding styles. (#39 <https://github.com/at-wat/neonavigation/issues/39>)
  * trajectory_tracker: removes unnecessary launch files (#18 <https://github.com/at-wat/neonavigation/issues/18>)
  * trajectory_tracker: adds option to store timestamp in recorded path (#13 <https://github.com/at-wat/neonavigation/issues/13>)
  * adds READMEs (#11 <https://github.com/at-wat/neonavigation/issues/11>)
  * trajectory_tracker: subtree merge changes on trajectory_tracker repository
  * Subtree-merge 'trajectory_tracker' package
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Jul 2018 00:00:00 -0000

=== debian/control ===
Source: ros-indigo-trajectory-tracker
Section: misc
Priority: extra
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-interactive-markers, ros-indigo-nav-msgs, ros-indigo-neonavigation-common, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rostest, ros-indigo-rosunit, ros-indigo-tf2, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros, ros-indigo-trajectory-tracker-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-trajectory-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-geometry-msgs, ros-indigo-interactive-markers, ros-indigo-nav-msgs, ros-indigo-neonavigation-common, ros-indigo-roscpp, ros-indigo-tf2, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros, ros-indigo-trajectory-tracker-msgs
Description: Path following control package for wheeled mobile robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-trajectory-tracker//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
